<?php

namespace App\Database\Migrations;

use CodeIgniter\Database\Migration;
use CodeIgniter\Database\RawSql;

class ChatDepartmentUsers extends Migration
{
    protected array $COLUMNS = [
        "chat_department_id" => [
            "type" => "INT",
            "unsigned" => true,
        ],
        "user_id" => [
            "type" => "INT",
            "unsigned" => true,
        ],
    ];
    public function up()
    {
        $this->forge->addField($this->COLUMNS);
        $currenttime = new RawSql("CURRENT_TIMESTAMP");
        $this->forge->addField([
            "created_at" => [
                "type" => "TIMESTAMP",
                "default" => $currenttime,

            ],
            "updated_at" => [
                "type" => "TIMESTAMP",
                "null" => true,

            ],
            "deleted_at" => [
                "type" => "TIMESTAMP",
                "null" => true,

            ],
        ]);
        $this->forge->addForeignKey(["user_id"], "users", ["id"]);
        $this->forge->addForeignKey(["chat_department_id"], "chat_departments", ["id"]);
        $this->forge->createTable("chat_department_users", true);
    }

    public function down()
    {
        $this->forge->dropTable("chat_department_users");
    }
}
